Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.core
Interface ECPProvider

All Superinterfaces:
  Comparable<ECPElement>, ECPElement, org.eclipse.core.runtime.IAdaptable

All Known Subinterfaces:
  InternalProvider

All Known Implementing Classes:
  CDOProvider, DefaultProvider, EMFStoreProvider, WorkspaceProvider

    public interface ECPProvider

extends ECPElement, org.eclipse.core.runtime.IAdaptable

Author:
  Eike Stepper, Jonas

Field Summary
`static String` | `TYPE` Type of the ECPElement.

Method Summary
`String` | `getLabel()` Label of the ECPProvider.
`boolean` | `hasCreateProjectWithoutRepositorySupport()` Whether this ECPProvider can have an offline project.
`boolean` | `hasCreateRepositorySupport()` Check whether a new repository can be added to this ECPProvider.

Methods inherited from interface org.eclipse.emf.ecp.core.util.ECPElement
`getName`

Methods inherited from interface java.lang.Comparable
`compareTo`

Methods inherited from interface org.eclipse.core.runtime.IAdaptable
`getAdapter`

Field Detail

### TYPE

    static final String TYPE

  Type of the ECPElement.

  See Also:
    Constant Field Values

Method Detail

### getLabel

    String getLabel()

  Label of the ECPProvider.

  Returns:
    the name of the ECPProvider

### hasCreateRepositorySupport

    boolean hasCreateRepositorySupport()

  Check whether a new repository can be added to this ECPProvider.

  Returns:
    true if new repositories can be added.

### hasCreateProjectWithoutRepositorySupport

    boolean hasCreateProjectWithoutRepositorySupport()

  Whether this ECPProvider can have an offline project.

  Returns:
    true if offline projects are allowed, false otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.